Closed Bug 1694536 Opened 3 months ago Closed 10 days ago

[M-fis-xorig] Intermittent SimpleTest | this test already called finish! | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html

Categories

(Core :: Layout, defect)

defect

Tracking

()

RESOLVED FIXED
Fission Milestone M7a

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [layout:triage-discuss])

Filed by: nbeleuzu [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=330956862&repo=mozilla-central
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/MoMwIZMeTfeRJ9_NapBa_w/runs/0/artifacts/public/logs/live_backing.log


[task 2021-02-23T23:53:56.502Z] 23:53:56     INFO - TEST-START | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html
[task 2021-02-23T23:53:56.650Z] 23:53:56     INFO - GECKO(1527) | [Child 4275, Main Thread] WARNING: Extra shutdown CC: 'i < NORMAL_SHUTDOWN_COLLECTIONS', file /builds/worker/checkouts/gecko/xpcom/base/nsCycleCollector.cpp:3365
[task 2021-02-23T23:53:56.686Z] 23:53:56     INFO - GECKO(1527) | [Child 4275, Main Thread] WARNING: NS_ENSURE_TRUE(Preferences::InitStaticMembers()) failed: file /builds/worker/checkouts/gecko/modules/libpref/Preferences.cpp:4380
[task 2021-02-23T23:53:56.774Z] 23:53:56     INFO - GECKO(1527) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmpFrZMuQ.mozrunner/runtests_leaks_tab_pid4376.log
[task 2021-02-23T23:53:56.782Z] 23:53:56     INFO - GECKO(1527) | [4376, Main Thread] WARNING: XPCOM_MEM_BLOAT_LOG is set, disabling native allocations.: file /builds/worker/checkouts/gecko/tools/profiler/core/platform.cpp:251
[task 2021-02-23T23:53:56.845Z] 23:53:56     INFO - GECKO(1527) | MEMORY STAT | vsize 2571MB | residentFast 156MB | heapAllocated 8MB
[task 2021-02-23T23:53:56.873Z] 23:53:56     INFO - Buffered messages logged at 23:53:56
[task 2021-02-23T23:53:56.875Z] 23:53:56     INFO - TEST-PASS | dom/base/test/test_bug1399605.html | we are still observing 
[task 2021-02-23T23:53:56.876Z] 23:53:56     INFO - TEST-PASS | dom/base/test/test_bug1399605.html | we are still observing 
[task 2021-02-23T23:53:56.876Z] 23:53:56     INFO - Buffered messages finished
[task 2021-02-23T23:53:56.879Z] 23:53:56    ERROR - TEST-UNEXPECTED-FAIL | SimpleTest | this test already called finish!
[task 2021-02-23T23:53:56.880Z] 23:53:56     INFO - TEST-UNEXPECTED-ERROR | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html | called finish() multiple times
[task 2021-02-23T23:53:56.881Z] 23:53:56     INFO - TEST-INFO took 375ms
[task 2021-02-23T23:53:56.897Z] 23:53:56     INFO - TEST-OK | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html
[task 2021-02-23T23:53:56.917Z] 23:53:56     INFO - GECKO(1527) | [Child 4376, Main Thread] WARNING: could not set real-time limit in CubebUtils::InitLibrary: file /builds/worker/checkouts/gecko/dom/media/CubebUtils.cpp:619

ahal hit this test failure multiple times when trying to enable mochitest-plain in fission-xorigin mode on more platforms in bug 1694835:

https://treeherder.mozilla.org/jobs?repo=try&revision=a4813c46eff128482994870bf8a06677022cee24&selectedTaskRun=OrW1ws-wTH6pAfP9kTTeKg.0

Blocks: 1700781
Fission Milestone: --- → M7a
Priority: P5 → P3
Summary: Intermittent SimpleTest | this test already called finish! | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html → [M-fis-xorig] Intermittent SimpleTest | this test already called finish! | http://mochi.test:8888/tests/dom/base/test/test_bug1399605.html

test_bug1399605.html is a test for IntersectionObserver, so move to Layout.

Component: DOM: Core & HTML → Layout

Sending this bug to Layout triage. The Fission team hit this test failure multiple times when trying to enable mochitest-plain in fission-xorigin mode on more platforms in bug 1694835, so Fission and/or xorigin mode might make this infrequent intermittent failure (less than 10 failures per week) more frequent.

https://treeherder.mozilla.org/jobs?repo=try&revision=a4813c46eff128482994870bf8a06677022cee24&selectedTaskRun=OrW1ws-wTH6pAfP9kTTeKg.0

Severity: S4 → --
Priority: P3 → --
Whiteboard: [layout:triage-discuss]
See Also: → 1671539

Looks like we've gone 3 weeks without any new reports. This failure-report from the start of the year until today (May 4) shows the most recent failure as being on April 12th, 3 weeks ago:
https://treeherder.mozilla.org/intermittent-failures/bugdetails?bug=1694536&startday=2021-01-01&endday=2021-05-04&tree=all

Maybe this is fixed?

Or, is there a reason these reports would have gone away, without this actually being fixed? (e.g. did we turn off some tests/platforms in a way that would've stifled this failure?)

Flags: needinfo?(cpeterson)

(In reply to Daniel Holbert [:dholbert] from comment #12)

Maybe this is fixed?

Or, is there a reason these reports would have gone away, without this actually being fixed? (e.g. did we turn off some tests/platforms in a way that would've stifled this failure?)

I don't know of any bug fixes or platforms being disabled that might have made that test failure go away. We are currently trying to enable these M-fis-xorig tests on more platforms. I will resolve this bug as "fixed" for now.

Flags: needinfo?(cpeterson)

Sounds good, thanks!

Status: NEW → RESOLVED
Closed: 10 days ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.